import React, { useState, useEffect } from 'react';
import { csv } from 'd3';

const csvUrl =
  'https://gist.githubusercontent.com/JCarpenter-WPI/e8f174522f95a52622bfeb292e7f2ff7/raw/NACRO%2520member%2520survey.csv';

export const useData = () => {
  const [data, setData] = useState(null);
}

csv(csvUrl).then(setData);

useEffect(() => {
    const row = d => {
      d.Population = +d['2020'] * 1000;
      return d;
    };
   csv(csvUrl, row).then(data => {
      setData(data.slice(0, 10));
   });

  
console.log(data[0]);